summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-10-08 13:10:44 +0200
committerDavid Seifert <soap@gentoo.org>2016-10-21 23:38:35 +0200
commite7508e278b17c9982c4c9b928895be1910308f1d (patch)
treebebd7a97fad8c36303e28967e94a2f0a4b1fcf8b /dev-python/vobject
parentdev-python/python-levenshtein: python3_5, EAPI 6 (diff)
downloadgentoo-e7508e278b17c9982c4c9b928895be1910308f1d.tar.gz
gentoo-e7508e278b17c9982c4c9b928895be1910308f1d.tar.bz2
gentoo-e7508e278b17c9982c4c9b928895be1910308f1d.zip
dev-python/vobject: 0.9.3 bump, python3, EAPI 6, fix HOMEPAGE, DESCRIPTION
Package-Manager: portage-2.3.0 Closes: https://github.com/gentoo/gentoo/pull/2513 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'dev-python/vobject')
-rw-r--r--dev-python/vobject/Manifest1
-rw-r--r--dev-python/vobject/vobject-0.8.1c-r1.ebuild2
-rw-r--r--dev-python/vobject/vobject-0.9.3.ebuild29
3 files changed, 31 insertions, 1 deletions
diff --git a/dev-python/vobject/Manifest b/dev-python/vobject/Manifest
index 520291ec1ed..a529ada5f25 100644
--- a/dev-python/vobject/Manifest
+++ b/dev-python/vobject/Manifest
@@ -1 +1,2 @@
DIST vobject-0.8.1c.tar.gz 59925 SHA256 594113117f2017ed837c8f3ce727616f9053baa5a5463a7420c8249b8fc556f5 SHA512 3c7071e040172c8ef9e93bb818fb3c5f04912322adaaf56794b00005ff1ee787d54ad6860835be4fb123fa4215c104e1cbc4031dcdab53e96f7dbed771c0fa79 WHIRLPOOL b317c376df74532d6b1f72a64558611edb9b02a2c37c4d98064d28e478580c8138e5144c5e5585d47ea842c52f40abdac8c84095972780e7a5e239b01537ef2e
+DIST vobject-0.9.3.tar.gz 57744 SHA256 cb79bd61cb54e222496278a90d9f6fe6fc0640ab2c4163f3fbc2942372d09d21 SHA512 d77dac2e885ea752e900a2f6e3d9cf24fdd3365d1e9e2ba51c5c38b2889a62aaa61e5562799eb8063b5d4ded0bcd43108cd7e5d028cf7dbe72008b208b8e2e76 WHIRLPOOL 0776eb5d0e68a1f12b001f55e5ec0032d722f23e2654c6c8f44cd0f23d9e299b7615094a16f8eff431de08ea185300185ab39c49762564db1d95cfdcea144445
diff --git a/dev-python/vobject/vobject-0.8.1c-r1.ebuild b/dev-python/vobject/vobject-0.8.1c-r1.ebuild
index 387a80faef7..0bb62c4e667 100644
--- a/dev-python/vobject/vobject-0.8.1c-r1.ebuild
+++ b/dev-python/vobject/vobject-0.8.1c-r1.ebuild
@@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 pypy )
inherit distutils-r1
-DESCRIPTION="A full featured Python package for parsing and generating vCard and vCalendar files"
+DESCRIPTION="Python package for parsing and generating vCard and vCalendar files"
HOMEPAGE="http://vobject.skyhouseconsulting.com/ https://pypi.python.org/pypi/vobject"
SRC_URI="http://vobject.skyhouseconsulting.com/${P}.tar.gz"
diff --git a/dev-python/vobject/vobject-0.9.3.ebuild b/dev-python/vobject/vobject-0.9.3.ebuild
new file mode 100644
index 00000000000..90f11269592
--- /dev/null
+++ b/dev-python/vobject/vobject-0.9.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package for parsing and generating vCard and vCalendar files"
+HOMEPAGE="http://eventable.github.io/vobject/
+ https://pypi.python.org/pypi/vobject
+ https://github.com/eventable/vobject"
+SRC_URI="https://github.com/eventable/vobject/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-python/python-dateutil-2.4.0[${PYTHON_USEDEP}]
+ dev-python/setuptools"[${PYTHON_USEDEP}]
+DEPEND="${RDEPEND}"
+
+DOCS=( ACKNOWLEDGEMENTS.txt README.md )
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Testing failed under ${EPYTHON}"
+}